package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuTabGrade;
import com.cku.model.CkuTabGradeDdz;
import com.cku.model.CkuTabGradeDdzWithBLOBs;

public interface CkuTabGradeDdzMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CkuTabGradeDdzWithBLOBs record);

    int insertSelective(CkuTabGradeDdzWithBLOBs record);

    CkuTabGradeDdzWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CkuTabGradeDdzWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(CkuTabGradeDdzWithBLOBs record);

    int updateByPrimaryKey(CkuTabGradeDdz record);
    
    /**
     * 
     * @Description：根据血统证书号和年月查询该年月下该血统证书号犬只单独展成绩
     * @author: zhuoHeng
     * @version: 2016年9月10日 下午1:55:09
     */
    public List<CkuTabGradeDdz> getDogGradeDdzList(@Param("pedigreeNum")String pedigreeNum,@Param("charTime") String charTime);
    
    /**
     * 已改
     * @Description：根据血统证书号查询犬只单独展成绩所在月份
     * @author: zhuoHeng
     * @version: 2016年9月10日 下午1:51:49
     */
    public List<CkuTabGradeDdz> getDogGradeDdzMonth(@Param("pedigreeNum")String pedigreeNum);
}